List a loan's debt schedule (read-only). Debt records are synced from the loan's components/underwriting data and are not editable row-by-row via the API; money is in whole cents and bpsInterestRate is in basis points.
Security
ApiKeyAuth
- https://api.pioneerft.com/apihttps://api.pioneerft.com/api/public/v1/loans/{id}/debt
- https://api.staging.pioneerft.com/apihttps://api.staging.pioneerft.com/api/public/v1/loans/{id}/debt
curl -i -X GET \
'https://api.pioneerft.com/api/public/v1/loans/{id}/debt' \
-H 'Authorization: Bearer <YOUR_API Key_HERE>'Response
{ "data": [ { "id": "string", "loanId": "string", "creditorName": "string", "debtType": "string", "centsOutstandingBalance": -9007199254740991, "centsPaymentAmount": -9007199254740991, "paymentFrequency": "string", "bpsInterestRate": -9007199254740991, "isRefinanced": true, "isSecuredByCollateral": true } ] }